/**
 * @file
 * Styles rules
 *
 * Theme styles rules.
 */

* {
  box-sizing: border-box;
  scroll-behavior: smooth;
}

html {
  height: 100%;
  font-size: 18px;
  -ms-text-size-adjust: 100%;
  -webkit-text-size-adjust: 100%;
  line-height: 1.5rem;
  scroll-padding-top: 150px !important;
  overflow-x: clip;
}

html, body {
  position: relative;
  font-family: 'Barlow';
  color: var(--color-dark);
  background-color: var(--color-white);
}

body {
  overflow-x: clip;
}

/* fix double scroll */
body.toolbar-horizontal.toolbar-fixed {
  overflow: visible;
}

.dialog-off-canvas-main-canvas {
  overflow: visible;
}

/**
 * Image
 */

img {
  max-width: 100%;
  height: auto;
  display: block;
}

/**
 * Text
 */

p, h1, h2, h3, h4 {
  position: relative;
}
h1 {
  font-size: var(--heading-size-xl);
}
h2 {
  font-size: var(--heading-size-l);
  line-height: 100%;
  font-weight: 800;
}
h3 {
  font-size: var(--heading-size-m);
  font-weight: 800;
}
h4 {
  font-size: var(--heading-size-xs);
}
p {
  font-size: var(--content-size);
}

::selection {
  background-color: var(--color-dark);
  color: var(--color-white);
}

/**
 * Links
 */

a {
  color: var(--color-brand--1);
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}

/**
 * Toolbar Fixed Styles
 */

.toolbar a {
  font-family: "Source Sans Pro","Lucida Grande",Verdana,sans-serif;
  font-weight: normal;
}

/**
 * Table
 */

table {
  border-collapse: collapse;
  width: 100%;
}
table td,
table th {
  border: 1px solid #ddd;
  padding: 8px;
}
table tr:first-child td {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: left;
  background-color: var(--color-primary--2);
  color: var(--color-neutral--4);
  font-weight: 700;
}


/**
 * Klaro cookies override
 */

.klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-ok a, .klaro .cookie-notice:not(.cookie-modal-notice) .cn-body .cn-ok div {
    color: var(--color-primary--1);
}


.klaro {
    .cookie-modal .cm-btn, .cookie-modal .cm-btn.cm-btn-info, .cookie-modal .cm-btn.cm-btn-success, .cookie-modal .cm-btn.cm-btn-decline, .cookie-modal .cm-btn.cm-btn-danger, .context-notice .cm-btn, .context-notice .cm-btn.cm-btn-info, .context-notice .cm-btn.cm-btn-success, .context-notice .cm-btn.cm-btn-decline, .context-notice .cm-btn.cm-btn-danger, .cookie-notice .cm-btn, .cookie-notice .cm-btn.cm-btn-info, .cookie-notice .cm-btn.cm-btn-success, .cookie-notice .cm-btn.cm-btn-decline, .cookie-notice .cm-btn.cm-btn-danger, &.learn-more-as-button .cookie-notice:not(.cookie-modal-notice) a.cm-link.cn-learn-more {
        color: var(--klaro-button-text-color);
        background-color: var(--color-primary--1);
        border-color: var(--color-primary--1);
    }
}

.klaro {
    & .cookie-modal .cm-btn, & .cookie-modal .cm-btn.cm-btn-info, & .cookie-modal .cm-btn.cm-btn-success, & .cookie-modal .cm-btn.cm-btn-decline, & .cookie-modal .cm-btn.cm-btn-danger, & .context-notice .cm-btn, & .context-notice .cm-btn.cm-btn-info, & .context-notice .cm-btn.cm-btn-success, & .context-notice .cm-btn.cm-btn-decline, & .context-notice .cm-btn.cm-btn-danger, & .cookie-notice .cm-btn, & .cookie-notice .cm-btn.cm-btn-info, & .cookie-notice .cm-btn.cm-btn-success, & .cookie-notice .cm-btn.cm-btn-decline, & .cookie-notice .cm-btn.cm-btn-danger, &.learn-more-as-button .cookie-notice:not(.cookie-modal-notice) a.cm-link.cn-learn-more {
        &:hover {
            color: var(--light1);
            border-color: var(--color-primary--1);
            background-color: var(--klaro-button-bg-hover);
        }
    }
}

.klaro {
    .cm-modal.cm-klaro:focus, .cm-modal.cm-klaro:focus-visible, .context-notice:focus, .context-notice:focus-visible, .cookie-notice:focus, .cookie-notice:focus-visible {
        outline: unset;
        box-shadow: unset;
    }
}

.klaro {
    & .cookie-modal, & .context-notice, & .cookie-notice {
        .cm-list-input.required:checked + .cm-list-label .slider {
            background-color: var(--color-primary--1);
        }
    }
}

.klaro {
    & .cookie-modal, & .context-notice, & .cookie-notice {
        .cm-list-input:checked + .cm-list-label .slider {
            background-color: var(--color-primary--1);
        }
    }
}

.klaro .cookie-modal .cm-list-input.only-required+.cm-list-label .slider, .klaro .context-notice .cm-list-input.only-required+.cm-list-label .slider, .klaro .cookie-notice .cm-list-input.only-required+.cm-list-label .slider {
  background-color: var(--color-primary--1);
}